%define anolis_release 1

Name:           lsb-release
Version:        3.2
Release:        %{anolis_release}%{?dist}
Summary:        Linux Standard Base Release Tools
License:        GPL-2.0-or-later
Group:          System/Fhs
URL:            https://github.com/thkukuk/lsb-release_os-release
Source:         https://github.com/thkukuk/lsb-release_os-release/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch
Provides:       system-lsb = %{EVR}

%description
LSB version query program

This program forms part of the required functionality of
the LSB (Linux Standard Base) specification.

The program queries the installed state of the distribution
to display certain properties such as the version of the
LSB against which the distribution claims compliance as 
well. It can also attempt to display the name and release
of the distribution along with an identifier of who produces
the distribution.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1 -n %{name}_os-release-%{version}

%build
make

%install
make install INSTALL_ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}.d

%files
%license COPYING
%{_bindir}/lsb*release
%{_mandir}/man1/lsb*release.1*
%dir %{_sysconfdir}/%{name}.d

%files doc
%doc README

%changelog
* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.2-1
- init from upstream
